# Created by pyp2rpm-3.3.2
%global pypi_name openstacksdk

# no tests dir in sources from PYPI
%bcond_with test

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 3
Summary:        An SDK for building applications to work with OpenStack
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/%{pypi_name}/
Source0:        https://pypi.io/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-3.0.0-relax-reqs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pygments) >= 2.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-wheel
BuildRequires:  python3dist(pbr) >= 2.0.0

%description
An SDK for building applications to work with OpenStack.

%package -n     python3-%{pypi_name}
Summary:        An SDK for building applications to work with OpenStack
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An SDK for building applications to work with OpenStack.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openstack

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%_bindir/openstack-inventory


%changelog
* Sun Mar 02 2025 wally <wally> 3.0.0-3.mga10
+ Revision: 2157331
- rebuild for python3.13

* Sun Dec 22 2024 papoteur <papoteur> 3.0.0-2.mga10
+ Revision: 2129034
- add and use pytest

* Thu Jul 11 2024 papoteur <papoteur> 3.0.0-1.mga10
+ Revision: 2080749
- new patch for relax reqs
- new version 3.0.0

* Fri Feb 23 2024 daviddavid <daviddavid> 0.100.0-2.mga10
+ Revision: 2043644
- rebuild for py3.12

* Mon Aug 22 2022 wally <wally> 0.100.0-1.mga9
+ Revision: 1879231
- new version 0.100.0
- switch build to use pyproject RPM macros

* Fri Jun 24 2022 papoteur <papoteur> 0.61.0-4.mga9
+ Revision: 1865986
- Mass Rebuild for dependencies

* Tue Mar 29 2022 umeabot <umeabot> 0.61.0-3.mga9
+ Revision: 1831662
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.61.0-2.mga9
+ Revision: 1784513
- rebuild for python-3.10

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.61.0-1.mga9
+ Revision: 1783467
- version 0.61.0
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 0.55.0-1.mga9
+ Revision: 1706478
- new version: 0.55.0

* Sun Mar 21 2021 daviddavid <daviddavid> 0.52.0-4.mga9
+ Revision: 1706417
- rebuild for python 3.9

* Fri Jan 01 2021 luigiwalser <luigiwalser> 0.52.0-3.mga8
+ Revision: 1667951
- fix jsonpatch deps

* Fri Jan 01 2021 luigiwalser <luigiwalser> 0.52.0-2.mga8
+ Revision: 1667755
- try to fix broken pbr deps

* Fri Jan 01 2021 neoclust <neoclust> 0.52.0-1.mga8
+ Revision: 1667612
- imported package python-openstacksdk

